Index: issm/trunk-jpl/src/m/solvers/stokesoptions.m
===================================================================
--- issm/trunk-jpl/src/m/solvers/stokesoptions.m	(revision 15563)
+++ issm/trunk-jpl/src/m/solvers/stokesoptions.m	(revision 15564)
@@ -1,29 +1,29 @@
-function stokes=stokesoptions(varargin)
+function FS=FSoptions(varargin)
 %STOKESOPTIONS - return STOKES multi-physics solver petsc options
 %
 %   Usage:
-%      options=stokesoptions;
+%      options=FSoptions;
 
 %retrieve options provided in varargin
 options=pairoptions(varargin{:});
-stokes=struct();
+FS=struct();
 
-%default stokes options
+%default FS options
 PETSC_VERSION=petscversion();
 if PETSC_VERSION==2,
-	error('stokesoptions error message: multi-physics options not supported in Petsc 2');
+	error('FSoptions error message: multi-physics options not supported in Petsc 2');
 end
 if PETSC_VERSION==3,
-	stokes.toolkit='petsc';
-	stokes.mat_type=getfieldvalue(options,'mat_type','mpiaij');
-	stokes.ksp_max_it=getfieldvalue(options,'ksp_max_it',1000);
-	stokes.ksp_type=getfieldvalue(options,'ksp_type','gmres');
-	stokes.pc_type=getfieldvalue(options,'pc_type','fieldsplit');
-	stokes.pc_field_split_type=getfieldvalue(options,'pc_field_split_type','schur');
-	stokes.fieldsplit_0_pc_type=getfieldvalue(options,'fieldsplit_0_pc_type','hypre');
-	stokes.fieldsplit_0_ksp_type=getfieldvalue(options,'fieldsplit_0_ksp_type','gmres');
-	stokes.fieldsplit_0_pc_hypre_type=getfieldvalue(options,'fieldsplit_0_pc_hypre_type','boomerang');
-	stokes.fieldsplit_1_pc_type=getfieldvalue(options,'fieldsplit_1_pc_type','jacobi');
-	stokes.fieldsplit_1_ksp_type=getfieldvalue(options,'fieldsplit_1_ksp_type','preonly');
-	stokes.issm_option_solver=getfieldvalue(options,'issm_option_solver','stokes');
+	FS.toolkit='petsc';
+	FS.mat_type=getfieldvalue(options,'mat_type','mpiaij');
+	FS.ksp_max_it=getfieldvalue(options,'ksp_max_it',1000);
+	FS.ksp_type=getfieldvalue(options,'ksp_type','gmres');
+	FS.pc_type=getfieldvalue(options,'pc_type','fieldsplit');
+	FS.pc_field_split_type=getfieldvalue(options,'pc_field_split_type','schur');
+	FS.fieldsplit_0_pc_type=getfieldvalue(options,'fieldsplit_0_pc_type','hypre');
+	FS.fieldsplit_0_ksp_type=getfieldvalue(options,'fieldsplit_0_ksp_type','gmres');
+	FS.fieldsplit_0_pc_hypre_type=getfieldvalue(options,'fieldsplit_0_pc_hypre_type','boomerang');
+	FS.fieldsplit_1_pc_type=getfieldvalue(options,'fieldsplit_1_pc_type','jacobi');
+	FS.fieldsplit_1_ksp_type=getfieldvalue(options,'fieldsplit_1_ksp_type','preonly');
+	FS.issm_option_solver=getfieldvalue(options,'issm_option_solver','FS');
 end
Index: issm/trunk-jpl/src/m/solvers/stokesoptions.py
===================================================================
--- issm/trunk-jpl/src/m/solvers/stokesoptions.py	(revision 15563)
+++ issm/trunk-jpl/src/m/solvers/stokesoptions.py	(revision 15564)
@@ -3,9 +3,9 @@
 from petscversion  import *
 #}}}
-def stokesoptions(*args):
+def FSoptions(*args):
 	#STOKESOPTIONS - return STOKES multi-physics solver petsc options
 	#
 	#   Usage:
-	#      options=stokesoptions;
+	#      options=FSoptions;
 	
 	#retrieve options provided in varargin
@@ -13,13 +13,13 @@
 
 
-	#default stokes options
+	#default FS options
 	PETSC_VERSION=petscversion()
 
 	if PETSC_VERSION==2:
-		raise RuntimeError('stokesoptions error message: multi-physics options not supported in Petsc 2')
+		raise RuntimeError('FSoptions error message: multi-physics options not supported in Petsc 2')
 	if PETSC_VERSION==3:
 		options=[['toolkit','petsc'],['mat_type','mpiaij'],['ksp_max_it',1000],['ksp_type','gmres'],['pc_type','fieldsplit'],['pc_field_split_type','schur'],\
 	['fieldsplit_0_pc_type','hypre'],['fieldsplit_0_ksp_type','gmres'],['fieldsplit_0_pc_hypre_type','boomerang'],\
-	['fieldsplit_1_pc_type','jacobi'],['fieldsplit_1_ksp_type','preonly'],['issm_option_solver','stokes']]
+	['fieldsplit_1_pc_type','jacobi'],['fieldsplit_1_ksp_type','preonly'],['issm_option_solver','FS']]
 
 	#now, go through our arguments, and write over default options.
